Curses::UI::Dialog::Error(3pm)

NAME
Curses::UI::Dialog::Error - Create and manipulate error dialogs

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window
                    |
                    +----Curses::UI::Dialog::Basic
                            |
                            +----Curses::UI::Dialog::Error

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    # The hard way.
    # -------------
    my $dialog = $win->add(
        'mydialog', 'Dialog::Error',
    -message   => 'The world has gone!'
    );
    $dialog->focus;
    $win->delete('mydialog');

    # The easy way (see Curses::UI documentation).
    # --------------------------------------------
    $cui->error(-message => 'The world has gone!');

    # or even:
    $cui->error('The world has gone!');

DESCRIPTION
Curses::UI::Dialog::Error is a basic error dialog. It is almost the same as Curses::UI::Dialog::Basic, except for the fact that a warning sign is drawn to the left of the message using ASCII "art":

       _
      / \
     / ! \
    /_____\

Since this class is very closely related to the basic dialog, see Curses::UI::Dialog::Basic for a description of the options and methods that you can use.

SEE ALSO
Curses::UI, Curses::UI::Dialog::Basic

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.